$aflex-light: #005487;
$aflex-lighter: #3A95CC;
$aflex-base: #002350;

.checkout{
  .hide{
    &--all{
      display: none;
    }
  }
  &__gauge {
    float: right;
    clear: both;
    padding: $s-md $s-sd 0 0;
    width: 100%;
    max-width: 404px;
    + div {
      clear: both;
    }
    &-max {
    }
    &-area {
      display: flex;
      color: $c-primary;
      margin: $s-sm 0;
    }
    &-sm-fs {
      font-size: $f-size-sm;
      margin-left: $s-md;
      text-align: center;
      line-height: 12px;
      //text-transform: uppercase;
    }
    &-track {
      flex: 1 1 auto;
      height: $s-xs;
      overflow: visible;
      background-color: $c-gray-light;
    }
    &-bar {
      height: $s-xs;
      background-color: $c-primary;
      width: 20%;//js-calc
      transition: $t;
    }
    &-icon {
      position: relative;
      top: -2px;
      color: $c-primary;
      font-size: $f-size-xl;
      margin-right: $s-sm;
      background-color: $c-white;
      transition: $t;
    }
    &-goal {
      color: $c-primary;
      font-size: $f-size-sm;
      //text-transform: uppercase;
      padding-right: $s-md;
      strong{
        display: inline-block;
        word-break: break-word;
        word-wrap: break-word;
        width: 50px;
        text-align: center;
      }
    }
    &-value {
      color: $c-secondary;
      font-weight: $bold;
    }
    &-message {
      margin: 0 auto;
      font-size: $f-size-sm;
      font-weight: $normal;
      width: 100%;
      text-align: center;
      &--empty {
      }
      &--full {
        display: none;
        font-weight: $bold;
      }
    }
    &--full{
      //reached 100%
      .checkout__gauge{
        &-message{
          &--empty{
            display: none;
          }
          &--full{
            display: block;
          }
        }
      }
    }
	}
}

#cart-title {
  font-size: $f-size-lg;
  font-family: $f-base;
  color: $c-black;
  margin: $s-lg 0;
  padding-bottom: $s-md;
  font-weight: bold;
  line-height: 0;
  //text-transform: uppercase;

  @media screen and (max-width:$b-sm-max) {
    margin: 18px 0;
    padding: 0;
  }
}

ul.titlecheckout {
  align-items: baseline;
  display: flex;

  @media screen and (max-width: $b-sm-max){
    li:not(.active) {
      display: none;
    }
  }

  li {
    font-size: 14px;
    color: $c-gray-dark;
    font-weight: bold;
    letter-spacing: 1px;
    margin-right: 17px;
    list-style: none;
    font-style: normal;
    i {
      font-style: normal;
    }

    &.active {
      font-size: 26px;
      color: $c-black;

        i {
          color: $c-secondary;
        }
    }
  }
}

#payment-data {
  margin: 10px 0;
}

table.table {
  border-collapse: collapse;
}


.body-cart {
  padding-bottom:0;
  .container-main{
    width: 1220px;
  }
  .cart-totalizers{
  }

  .empty-cart-title{
    //text-transform: uppercase;
    font-size: $f-size-lg;
    color: $c-gray-darker;
    @media(max-width: 425px){
      font-size: $f-size-lg;
    }
  }
  .empty-cart-message{
    font-weight: 300;
  }

  .link-choose-products{
    @extend %button;
   // @extend %button--green;
    text-shadow: none;
    box-shadow: none;
    //text-transform: uppercase;
    margin-top: $s-lg;
    &:hover{
      background-color: $c-secondary;
    }

    @media(max-width: 425px){
      width: 100%;
    }
  }
  @media(max-width: 425px){
    .orderform-template{
      display: none;
    }
  }


}
.add-item-attachment-container{
  display: none;
}

.container-main {
  flex:1;
  padding: $s-lg;
  max-width: 100%;


  @media (max-width: 780px){
    min-width: auto;
    height:auto;
  }
}


.cart {
  border: none;
  padding: 0;
  border-radius: 0;

}

.cart-items th {
  padding: 15px 10px;
  //text-transform: uppercase;
  color: $c-white;
  font-weight: bolder;
  font-family: $f-base;
  text-align: left;
}


.cart-items td {
  padding: 16px 10px;

  @media (min-width: 781px){
    border-bottom: 1px solid $c-gray-light;
  }

  &.item-remove {
    @media (max-width: 490px){
      top: 15px !important;
    }
    .item-remove-text {display: none;}
  }
}

.shipping-estimate-date:not(.shipping-estimate-detail) {
  text-transform: capitalize;
  color: $c-black;
  font-family: $f-base;
  font-size: 0;
  text-decoration: none;

  &:after{
    content: 'Calcular entrega';
    font-weight: normal;
    color: $c-checkout-black;
    font-size: 12px;
    line-height: 18px;
  }
}
.cart-items{
  .product-image{
    background: none;
  }
  .product-name{
    font-weight: normal;
    color: $c-checkout-black;
    //text-transform: uppercase;
    font-size: $f-size-xs;
    @media screen and (max-width:$b-sm-max) {
      max-width: 146px;
      overflow: hidden;
      text-overflow: ellipsis;
      height: 42px;
      margin-bottom: 15px;

      a {
        font-size: 12px;
        text-transform: capitalize;
      }
    }
    a {
      color: $c-checkout-black;
    }
    .brand,
    small.seller{
      display: none !important;
    }
  }
}

a#cart-choose-more-products {
  text-decoration: none;
  color: #fff;
}


.link-choose-more-products {

  @extend %button;
  // @extend %button--ghost;
  @extend %button--secondary;

  @media(min-width: 425px){
    margin-top: $s-md;
    margin-right: $s-sm;
  }
  padding: 12px 20px !important;
  font-size: 0 !important;

  @media (min-width: 768px){
    width: 261px;
    text-align: center;
  }

  &:before {
    //font-size: $f-size-sm;
    //content: 'Continuar comprando';
    ////text-transform: uppercase;
    //line-height: inherit;
  }
}

.btn-place-order-wrapper{
  margin-top: $s-md;
}

.product-price {
  .old-product-price-label,
  .new-product-price-label {
    display: none;
  }
}

th.shipping-date, th.product, th.product-price, th.quantity, th.quantity-price {
  font-size: $f-size-sd;
  color: $c-checkout-black;
  font-weight: bold;
  border-bottom: 1px solid $c-gray-light;
}

td.product-price, td.quantity-price, .muted{
  color: $c-checkout-black;
  font-weight: bold;
  font-size: 16px;
}

td.product-price{
  padding: 0;
  white-space: nowrap;
  @media(max-width: 490px){
    position: absolute !important;
    right: 0;
    bottom: 0px;
  }
}

.new-product-price,
td.quantity-price{
  color: $c-checkout-red;
  padding: 0;
  font-size: $f-size-xs;
  font-weight: bold;
  white-space: nowrap;
  .total-selling-price{
  }
}

@media screen and (max-width: 490px){
  td.quantity-price {
    display: block !important;
    position: absolute;
    top: 19px;
    right: 12px;
      span {
        font-size: 12px;
      }
  }
}

.muted {
  color: $c-gray;
  font-size: $f-size-xs;
}

td.quantity{
  font-size: 0;
}


.item-quantity-change {
  background: $c-gray-light;
  display: inline-block;
  color: #fff;
  width: 22px;
  height: 24px;
  border-radius: 2px;
  padding: 0;
  text-align: center;
  span {
    display: none;
  }
  i {
    color: $c-black;
    display: block;
    font-size: 14px;
    line-height: 20px;
    font-weight: bold;

    &.icon-minus-sign {
      &::before {
        content: "-";
      }
    }

    &.icon-plus-sign {
      &::before {
        content: "+";
      }
    }
  }

}

.coupon-data, .summary-coupon {
  float: none !important;
}

.coupon-data {
  display: none !important;
  .link-coupon-add {
    color: $c-secondary;
  }
}

.coupon-column {
  width: 50%;
  float: left;
  .coupon-form {
    margin-top: $s-md;
    .coupon-fieldset {
      border: none;
    }

    div {display: block !important;}
  }
}

.summary-coupon {

   label {
     font-size: $f-size-xs;
     //text-transform: uppercase;
     margin-bottom: $s-sm;
     font-family: $f-base;
     font-weight: normal;
     color: $c-black;
   }

   #cart-coupon {
      border-radius: 0;
      border: 1px solid $c-black;
      padding: 19px 20px;
      height: 42px;
      display: block;
      width: 250px;
      box-shadow: none;
      @media (max-width: 490px){
        padding: 24px 12px;
      }
   }

   .coupon-fields{
     max-width: 200px;

     .info{
       align-items: center;
       span{
        padding: $s-sm $s-md;
        // border: 1px solid $c-gray-darkest;
        background-color: $c-gray-darkest;
        border-radius: 100px;
        color: $c-white;
        font-weight: $bold;
       }
     }


     .delete{
       margin-left: $s-sm;
       a{
         color: $c-gray-light;
         text-decoration: underline;
         font-size: $f-size-sd;
       }
     }
   }
}

.summary-totalizers {
  padding: 0;

  .table tfoot td.monetary {
    color: $c-checkout-red;
    font-weight: bolder;
    font-size: 18px;
    width: 150px;
    white-space: nowrap;
    @media(min-width: $b-md-min){
      font-size: $f-size-xl;
    }
  }

  .monetary,
  .form-postal-code{
    text-align: right !important;
    padding: 10px !important;
  }

  .shipping-calculate{
    .info{
      // color: $c-checkout-black !important;
    }
    .summary-shipping{
      @media screen and (max-width:480px){
        width: 100%;
      }
    }
    .shipping-form-inline{
      min-width: 0;
    }
    .shipping-fields{
    }
    input.postal-code{
      display: inline-block;
      width: 110px;
      font-size: $f-size-sm;
      max-width: 100%;
      box-shadow: none;
      color: $c-gray-darker;
      padding: 14px $s-md;
      font-family: $f-base;
      font-weight: 300;
      margin-right: 0;
      border: 1px solid $c-black;
      border-radius: 0;

      &::placeholder{
        color: $c-gray-darker;
      }
    }

    .btn{
      @extend %button;
      display: inline-block;
      margin-left: -2px;
      color: $c-white;
      width: 73px;
      min-width: 0;
      font-size: $f-size-sm !important;
      max-width: 100%;
      text-transform: uppercase;
      box-shadow: none;
      text-shadow: none;
      padding: 7px !important;
    }
    span.error{
      display: block;
    }
  }
  .empty{
    width: 0 !important;
    padding: 0 !important;
  }
}

.link-gift-card {
    left: 0;
    text-align: center;
    border: 1px solid #ccc;
}

.item-link-remove {
  color: $c-gray-dark !important;
  line-height: 0;

  .icon-remove{
    &:before{
      content: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTEiIGhlaWdodD0iMTIiIHZpZXdCb3g9IjAgMCAxMSAxMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBkPSJNMTAuMTIxNiAxLjA1NzVMOS4xMDIyMyAwTDUuMDYwODEgNC4xOTI1TDEuMDE5MzkgMEwwIDEuMDU3NUw0LjA0MTQyIDUuMjVMMCA5LjQ0MjVMMS4wMTkzOSAxMC41TDUuMDYwODEgNi4zMDc1TDkuMTAyMjMgMTAuNUwxMC4xMjE2IDkuNDQyNUw2LjA4MDIgNS4yNUwxMC4xMjE2IDEuMDU3NVoiIHRyYW5zZm9ybT0idHJhbnNsYXRlKDAuMjYzNjcyIDAuNzUwMjQ0KSIgZmlsbD0iYmxhY2siLz48L3N2Zz4=);
    }
  }
}

.postal-code-for-sla{
  display: flex !important;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;

  span{
    margin-right: 10px;
  }
}

.summary-template-holder {
  .accordion-heading {
    display: none;
  }

  .accordion-inner {
    padding-top: 32px;
    .summary-discount-descriptions {
      display: none;
    }

    .shipping-sla-selector {
      a.btn {
        margin: $s-xs 0;
        color: $c-black;
      }
    }

    .shipping-sla-options {
      span {
        font-size: $f-size-xs;
      }
    }
  }
}

.summary-totalizers .table td {
  border-bottom: 1px solid $c-gray-light;
  font-size: 13px;
  padding: 10px;

  &.info {
    //text-transform: uppercase;
    color: $c-gray-darker;
    font-weight: normal;
    font-size: $f-size-xs;
    text-align: left;
    padding-bottom: 12px;


  }

  @media (max-width: 490px){
    background:none;
  }

  &.monetary,  &.monetary .shipping-calculate-link{
    color: $c-checkout-black;
    font-size: $f-size-xs;
    font-weight: normal;
  }
  &.monetary{
    font-size: 14px;
  }
  .shipping-calculate-link{
    text-decoration: underline;
  }
}

.summary-totalizers .table{
  tfoot{
    td.info{
      font-weight: normal;
    }
  }
}
.Shipping td.space{
  border: 0;
}

.step, .cart, .totalizers {
  margin-bottom: 0;
}

.cart-links-bottom {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;

  @media (max-width: 480px){
    .link-choose-more-products-wrapper {
      order: 2;
      width: 100%;
      a {
        width: 100%;
      }
    }

    .btn-place-order-wrapper {
      order: 1;
      width: 100%;
      margin-bottom: 15px;
      a {
        width: 100% !important;
      }
    }
  }

  @media (min-width: 768px){
    justify-content: flex-end;
  }

  &::before, &::after {
    display: none;
  }

  @media (max-width: 375px){
    .btn-place-order-wrapper{
      margin-top: 10px;
    }
  }

  @media (max-width: 424px){
    flex-wrap: wrap;
    justify-content: center;
  }
}

.btn {
  // @extend %button;
  // background-color: $c-primary;
  background-image: none;
  text-shadow: none;
  // font-family: $f-secondary;
  // background-color: #fff;
  // border: 1px solid $c-gray-darker;
  // padding: 8px;
  // line-height: 1;
  // border-radius: 4px;
  // font-weight: 300;
  // color: #fff;

}

.btn-success {
  &:hover {
    background-color: $c-checkout-blue-lighter;
  }
}

.summary-postal-code-service {
  text-decoration: underline;
}

#cart-coupon-add {
  border-radius: 0;
  background: $c-black;
  padding: 11px $s-sm;
  width: 50px;
  line-height: 1;
  text-shadow: none;
  text-align: center;
  color: $c-white;
  font-weight: bold;
  font-size: 0 !important;
  margin-left: -1px;

  &:after{
    color: $c-white;
    font-size: $f-size-md;
    font-weight: bold;
    //text-transform: uppercase;
    content: 'Ok';
  }
}

#cart-to-orderform {
  @extend %button;
  width: 261px;
  font-size: 0 !important;
  -webkit-box-shadow: none;
  box-shadow: none;
  padding: 14px 0 !important;
  background: $c-black;
  color: $c-white;
  border: 0;
  text-align: center;

  &::before {
    font-size: $f-size-sm;
    //text-transform: uppercase;
    content: 'Finalizar Compra'
  }
}

.quantity input {
  border: none;
  font-size: $f-size-sm;
  max-width: 50px;
  box-shadow: none;
  font-weight: bold;
  margin: 0;
  width: 30px;
  height: 24px;
  padding: 0;
  color: $c-checkout-black;
  //background: $c-gray-light;
  border-radius: 0;
  @media(max-width: 490px){
    width: 25px !important;
    height: 25px !important;
  }
}

.coupon-fields {
  > span {
    display: flex;
  }

  span.loading-inline {
    display: none;
  }
}

.footer__copy {
  max-width: 100%;
}

.container-main {
    min-height: initial;
}

.full-cart .summary-template-holder{
  @media(min-width: $b-md-min){
    .row-fluid .span7{
      width: 40% !important;
    }
    .row-fluid .span5{
      width: 50%;
      margin: 0;
    }
  }
}

@media (max-width: 490px){

  .full-cart .cart table {
      display: block;
      margin-top: 0 !important;
      background-color: $c-white;
      padding: 20px 10px;
  }

  #shipping-data {
    margin: 30px 0;
  }

  .full-cart .cart table tbody tr{
    padding-top: 20px;
    border-bottom: 1px solid $c-gray-light;
    border-top: none !important;
  }
  .full-cart .summary-totalizers tr{
    border: 0;
  }

}
@media (max-width: 780px){

  body .container-main {
    width: 100%;
    padding: 10px !important;
    height:auto;
  }
}

@media (max-width: 780px) and (max-width: 1024px){
  .full-cart .quantity input {
    display: inline-block;
    margin: 0;
  }
}
